Skip to main content
GET
https://ageneral.ai
/
v1
/
nodes
/
by-slug
/
{slug}
Get node by slug
curl --request GET \
  --url https://ageneral.ai/v1/nodes/by-slug/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "userId": "<string>",
  "projectId": "<string>",
  "status": "<string>",
  "name": "<string>",
  "identifier": "<string>",
  "publicIp": "<string>",
  "directSecrets": true,
  "connectors": [
    "<string>"
  ],
  "openclawConfig": {},
  "createdAt": "<string>",
  "operatingSystem": "<string>"
}

Authorizations

Authorization
string
header
required

Session JWT or node identity token where applicable. Send as Authorization: Bearer <token>.

Path Parameters

slug
string
required

Query Parameters

projectId
string
required

Project id the node belongs to.

Response

Success

Node resource. Additional fields may appear beyond those listed.

id
string
userId
string
projectId
string
status
string
name
string
identifier
string
publicIp
string
directSecrets
boolean
connectors
string[]
openclawConfig
object
createdAt
string
operatingSystem
string